summaryrefslogtreecommitdiffstats
path: root/debian/tests/chroot
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-08 19:09:23 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-08 19:09:23 +0000
commit1b631c75a166e0258aad972d74af929b7968ea66 (patch)
treeb5735fd08977a7f74bb1753a6952caeeb1fb73f6 /debian/tests/chroot
parentAdding upstream version 2.4.58. (diff)
downloadapache2-1b631c75a166e0258aad972d74af929b7968ea66.tar.xz
apache2-1b631c75a166e0258aad972d74af929b7968ea66.zip
Adding debian version 2.4.58-1.debian/2.4.58-1
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/tests/chroot')
-rw-r--r--debian/tests/chroot39
1 files changed, 39 insertions, 0 deletions
diff --git a/debian/tests/chroot b/debian/tests/chroot
new file mode 100644
index 0000000..9961198
--- /dev/null
+++ b/debian/tests/chroot
@@ -0,0 +1,39 @@
+#!/bin/sh
+set -ex
+
+# Check that ChrootDir works correctly. Written in response to LP: #1251939.
+#
+# Author: Robie Basak <robie.basak@ubuntu.com>
+#
+# This test requires:
+# * wget
+# * The dpkg-dev package for the dpkg-architecture command
+#
+# This is a "breaks-testbed" dep8 test.
+#
+# This test sets up a minimal environment to exercise ChrootDir. Do not use
+# it as an example of how to set up Apache in a secure chroot environment.
+
+sed -i 's_DocumentRoot.*$_DocumentRoot /_' /etc/apache2/sites-available/000-default.conf
+
+LIBGCC_S_PATH=`gcc --print-file-name=libgcc_s.so.1`
+cat > /etc/apache2/conf-available/chroot.conf <<EOT
+LoadFile $LIBGCC_S_PATH
+ChrootDir /var/www
+<Directory />
+ Options Indexes FollowSymLinks
+ AllowOverride None
+ Require all granted
+</Directory>
+EOT
+a2enconf chroot
+
+echo "Hello, world!" > /var/www/hello.txt
+
+service apache2 restart
+
+result=`wget -qO- http://localhost/hello.txt`
+if [ "$result" != "Hello, world!" ]; then
+ echo "Unexpected result from wget" >&2
+ exit 1
+fi